Subject: Re: The Korn Shell [was: Re: What's Up With That (KSH)?]
From: "Gregory W. Bond" <[email-masked]>
To: [email-masked]
Date: Fri, 14 Jun 2002 10:03:32 -0400

Joe Buehler wrote:

> Thomas Baker wrote:
>
> > It is great news that this is in the pipeline.  Not sure if
> > it is off-topic, but can someone explain in 25 words or less
> > how "AST", "INIT", and "UWIN" relate to the Cygwin effort?
> > My vague impression is that "UWIN" is a parallel universe to
> > Cygwin -- a freely available WIN32 Unix-lookalike based on
> > AT&T work, and that AST and INIT are something like the RPM
> > formats of the UWIN world.  Is that at all close?
>
> AST is a toolkit that provides a portability layer on top of UNIX.
> It allows you to code to a single API and run on various flavors
> of UNIX.
>
> U/WIN (proper spelling) is the same idea as Cygwin.  David Korn
> at AT&T research is the architect/chief developer.  It's not free for
> commercial purposes, though there are downloadable versions on the web.
> What he has done in U/WIN is write a UNIX layer on top of Windows, then use
> AST for much of the libraries and utilities.
>
> The INIT stuff is packaging software, as far as I can tell.  AT&T research
> (Bell labs) has a boatload of good software tools that don't really make
> it outside of AT&T, unfortunately.

First permit me to correct a common misconception: AT&T Labs Research is not Bell Labs. The latter is the R&D arm of Lucent. Lucent was spun off from AT&T in 1996/7. When the spin off took place,
researchers in the original AT&T Bell Labs chose to go to Lucent Bell Labs (Lucent got to keep the 'Bell Labs' name) or to the newly formed AT&T Labs Research. Dave Korn chose AT&T Labs Research.

I also wanted to corroborate  what Joe said about the relationship between Cygwin and U/Win and add that Dave's goals in creating U/Win included high performance and transparent integration of Win32 and
Unix programs. In my opinion, Cygwin does not do as well in these two areas. On the other hand, Cygwin is superior to U/Win in the number of Unix apps that have been ported and are supported.

With regards to ksh for Cygwin: a new version of the source and pre-compiled binaries have been posted at  http://www.research.att.com/sw/download that should fix a problem I reported to Dave and Glenn
that caused ksh to break on text mounted directories.

It's great to have a real ksh for Cygwin!

--
Gregory W. Bond
AT&T Labs - Research
180 Park Avenue, Rm. D273, Bldg. 103
P.O. Box 971, Florham Park, NJ, 07932-0971, USA
tel: (973) 360 7216 fax: (973) 360 8187

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/